package cn.iocoder.yudao.module.ecw.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

/**
 * 客户状态类型枚举
 */
@AllArgsConstructor
@Getter
public enum CustomerFollowupStatusEnum {

    UnCommited(0, "未提交"),
    Commited(1, "已提交"),

    ;
    /**
     * 类型
     */
    private final Integer value;
    /**
     * 类型名
     */
    private final String name;


    public static String getNameByValue(Integer value) {
        return Arrays.stream(CustomerFollowupStatusEnum.values()).filter(t -> t.getValue().equals(value)).map(CustomerFollowupStatusEnum::getName).findFirst().orElse("");
    }

    public static CustomerFollowupStatusEnum get(Integer value) {
        return Arrays.stream(CustomerFollowupStatusEnum.values()).filter(t -> t.getValue().equals(value)).findFirst().orElse(null);
    }
}
