package cn.iocoder.yudao.module.ecw.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

/**
 * 客户获取方式类型枚举
 */
@AllArgsConstructor
@Getter
public enum CustomerGetMethodEnum {


    CREATE(1, "自主创建"),
    ASSIGN(2, "分配/移交接收"),
    CATCH(3, "公海捞取");

    ;
    /**
     * 类型
     */
    private final Integer value;
    /**
     * 类型名
     */
    private final String name;


    public static String getNameByValue(Integer value) {
        return Arrays.stream(CustomerGetMethodEnum.values()).filter(t -> t.getValue().equals(value)).map(CustomerGetMethodEnum::getName).findFirst().orElse("");
    }

    public static CustomerGetMethodEnum get(Integer value) {
        return Arrays.stream(CustomerGetMethodEnum.values()).filter(t -> t.getValue().equals(value)).findFirst().orElse(null);
    }
}
