package cn.iocoder.yudao.module.ecw.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

/**
 * 客户操作类型枚举
 */
@AllArgsConstructor
@Getter
public enum CustomerOperateTypeEnum {

    CREATE(1, "新建"),
    UPDATE(2, "修改"),
    ASSIGN(3, "分配"),

    TRANSFER(4, "移交"),
    RECEIVE(5, "接收"),
    ENTER_TO_OPEN_SEA(6, "掉入公海"),
    CATCH_FROM_OPEN_SEA(7, "捞取"),

    CHANGE_TO_AIR(8, "设置空运"),
    CHANGE_TO_UNAIR(9, "设置非空运"),



    DELAY_APPLY(10, "申请延期"),

    WAIT_TO_ASSIGN(11, "进入待分配"),

    // CHANGE_ESTIMATE_ENTER_OPEN_SEA_TIME(12, "改变预计掉入公海时间"),

    ORDER_CREATED(12, "完成下单"),
    ORDER_WAREHOUSE_IN(13, "完成入仓"),

    PRODUCT_BRAND_EMPOWER_ADD(14, "添加品牌授权"),

    PRODUCT_BRAND_EMPOWER_DELETE(15, "删除品牌授权"),


    TRANSFER_APPLY(16, "客户移交审批"),

    CHANGE_TO_FCL(17, "设为整柜客户"),

    CHANGE_TO_UNFCL(18, "设为非整柜客户"),

    RECYCLE_UN_CONFIRMED_CUSTOMER(19, "主动回收到待分配"),

    UPDATE_CUSTOMER_TO_OLD_BY_CUSTOMER_SERVICE(20, "修改客户经理下成交客户的业绩类型"),
    UPDATE_CUSTOMER_NEW_OR_OLD(21, "修改客户业绩类型"),

    CHANGE_NO_CONSIGNEE(22, "设置控货无收货人"),
    CHANGE_DEFAULT_PAY(23, "设置默认付款"),

    CHANGE_DEFAULT_BILLING(24, "设置默认开票"),

    FOLLOWUP_CREATE(25, "新增跟进纪录"),
    FOLLOWUP_UPDATE(26, "编辑跟进纪录"),
    FOLLOWUP_UPDATE_STATUS(27, "修改跟进状态"),



    CHANGE_IS_SHOW_TIDAN_PRICE(28, "设置是否显示提单价格"),
    CHANGE_ARRIVAL_CONFIRM(29, "设置到仓确认"),
    CHANGE_WEIGHT_UNIT(30, "设置重货标准"),
    CHANGE_LIGHT_UNIT(31, "设置泡货标准"),

    CUSTOMER_UPDATE_SETUP(32, "设置客户设置"),

    CUSTOMER_MERGE(33, "客户合并"),

    VERIFICATION_CODE(34, "验证码发送"),


    DELETE(100, "删除"),


    ;
    /**
     * 类型
     */
    private final Integer value;
    /**
     * 类型名
     */
    private final String name;
}
