package cn.iocoder.yudao.module.ecw.enums;

import lombok.AllArgsConstructor;
import lombok.Getter;

import java.util.Arrays;

/**
 * 客户角色类型枚举
 */
@AllArgsConstructor
@Getter
public enum CustomerRoleEnum {

    //0、CO 1、工程商 2、代理 3、同行 6、集运

    C0(0, "C0"),
    CONTRACTOR(1, "工程商"),
    PROXY(2, "代理"),
    COMPETITOR(3, "同行"),
    CONSOLIDATOR(6, "集运");

    ;
    /**
     * 类型
     */
    private final Integer value;
    /**
     * 类型名
     */
    private final String name;


    public static String getNameByValue(Integer value) {
        return Arrays.stream(CustomerRoleEnum.values()).filter(t -> t.getValue().equals(value)).map(CustomerRoleEnum::getName).findFirst().orElse("");
    }

    public static CustomerRoleEnum get(Integer value) {
        return Arrays.stream(CustomerRoleEnum.values()).filter(t -> t.getValue().equals(value)).findFirst().orElse(null);
    }
}
